For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
WebsiteStatusSupportDashboard
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
DocumentationAPI ReferenceMCPSDKsCLI (new)What's New?
  • Assistants
    • GETList Assistants
    • POSTCreate Assistant
    • GETGet Assistant
    • DELDelete Assistant
    • PATCHUpdate Assistant
  • Squads
    • GETList Squads
    • POSTCreate Squad
    • GETGet Squad
    • DELDelete Squad
    • PATCHUpdate Squad
  • Calls
    • GETList Calls
    • POSTCreate Call
    • GETGet Call
    • DELDelete Call
    • PATCHUpdate Call
  • Chats
    • GETList Chats
    • POSTCreate Chat
    • GETGet Chat
    • DELDelete Chat
    • POSTCreate Chat (OpenAI Compatible)
  • Campaigns
    • GETList Campaigns
    • POSTCreate Campaign
    • GETGet Campaign
    • DELDelete Campaign
    • PATCHUpdate Campaign
  • Sessions
    • GETList Sessions
    • POSTCreate Session
    • GETGet Session
    • DELDelete Session
    • PATCHUpdate Session
  • Phone Numbers
    • GETList Phone Numbers
    • POSTCreate Phone Number
    • GETList Phone Numbers
    • GETGet Phone Number
    • DELDelete Phone Number
    • PATCHUpdate Phone Number
  • Tools
    • GETList Tools
    • POSTCreate Tool
    • GETGet Tool
    • DELDelete Tool
    • PATCHUpdate Tool
  • Files
    • GETList Files
    • POSTUpload File
    • GETGet File
    • DELDelete File
    • PATCHUpdate File
  • Structured Outputs
    • GETList Structured Outputs
    • POSTCreate Structured Output
    • GETGet Structured Output
    • DELDelete Structured Output
    • PATCHUpdate Structured Output
    • POSTRun Structured Output
  • Insight
    • GETGet Insights
    • POSTCreate Insight
    • GETGet Insight
    • DELDelete Insight
    • PATCHUpdate Insight
    • POSTRun Insight
    • POSTPreview Insight
  • Eval
    • GETList Evals
    • POSTCreate Eval
    • GETGet Eval
    • DELDelete Eval
    • PATCHUpdate Eval
    • GETGet Eval Run
    • DELDelete Eval Run
    • GETList Eval Runs
    • POSTCreate Eval Run
  • Observability Scorecard
    • GETGet Scorecard
    • DELDelete Scorecard
    • PATCHUpdate Scorecard
    • GETList Scorecards
    • POSTCreate Scorecard
  • Provider Resources
    • GETList Provider Resources
    • POSTCreate Provider Resource
    • GETGet Provider Resource
    • DELDelete Provider Resource
    • PATCHUpdate Provider Resource
  • Analytics
    • POSTCreate Analytics Queries
  • Webhooks
    • POSTServer Message
    • POSTClient Message
    • Swagger
    • OpenAPI
LogoLogo
WebsiteStatusSupportDashboard
Assistants

List Assistants

GET
https://api.vapi.ai/assistant
GET
/assistant
$curl https://api.vapi.ai/assistant \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "id": "string",
4 "orgId": "string",
5 "createdAt": "2024-01-15T09:30:00Z",
6 "updatedAt": "2024-01-15T09:30:00Z",
7 "transcriber": {
8 "provider": "assembly-ai",
9 "language": "multi",
10 "confidenceThreshold": 0.4,
11 "formatTurns": true,
12 "endOfTurnConfidenceThreshold": 0.7,
13 "minEndOfTurnSilenceWhenConfident": 160,
14 "wordFinalizationMaxWaitTime": 160,
15 "maxTurnSilence": 400,
16 "vadAssistedEndpointingEnabled": true,
17 "speechModel": "universal-streaming-english",
18 "realtimeUrl": "string",
19 "wordBoost": [
20 "string"
21 ],
22 "keytermsPrompt": [
23 "string"
24 ],
25 "endUtteranceSilenceThreshold": 1.1,
26 "disablePartialTranscripts": true,
27 "fallbackPlan": {
28 "transcribers": [
29 {
30 "provider": "assembly-ai",
31 "language": "multi",
32 "confidenceThreshold": 0.4,
33 "formatTurns": true,
34 "endOfTurnConfidenceThreshold": 0.7,
35 "minEndOfTurnSilenceWhenConfident": 160,
36 "wordFinalizationMaxWaitTime": 160,
37 "maxTurnSilence": 400,
38 "vadAssistedEndpointingEnabled": true,
39 "speechModel": "universal-streaming-english",
40 "realtimeUrl": "string",
41 "wordBoost": [
42 "string"
43 ],
44 "keytermsPrompt": [
45 "string"
46 ],
47 "endUtteranceSilenceThreshold": 1.1,
48 "disablePartialTranscripts": true
49 }
50 ]
51 }
52 },
53 "model": {
54 "messages": [
55 {
56 "content": "string",
57 "role": "assistant"
58 }
59 ],
60 "tools": [
61 {
62 "messages": [
63 {
64 "contents": [
65 {
66 "type": "text",
67 "text": "string",
68 "language": "aa"
69 }
70 ],
71 "type": "request-start",
72 "blocking": false,
73 "content": "string",
74 "conditions": [
75 {
76 "operator": "eq",
77 "param": "string",
78 "value": "string"
79 }
80 ]
81 }
82 ],
83 "type": "apiRequest",
84 "method": "POST",
85 "timeoutSeconds": 20,
86 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
87 "encryptedPaths": [
88 "string"
89 ],
90 "parameters": [
91 {
92 "key": "string",
93 "value": {}
94 }
95 ],
96 "name": "string",
97 "description": "string",
98 "url": "string",
99 "body": {
100 "type": "string",
101 "items": {},
102 "properties": {},
103 "description": "string",
104 "pattern": "string",
105 "format": "date-time",
106 "required": [
107 "string"
108 ],
109 "enum": [
110 "string"
111 ],
112 "title": "string"
113 },
114 "headers": {
115 "type": "string",
116 "items": {},
117 "properties": {},
118 "description": "string",
119 "pattern": "string",
120 "format": "date-time",
121 "required": [
122 "string"
123 ],
124 "enum": [
125 "string"
126 ],
127 "title": "string"
128 },
129 "backoffPlan": {
130 "type": "fixed",
131 "maxRetries": 0,
132 "baseDelaySeconds": 1,
133 "excludedStatusCodes": [
134 400,
135 401,
136 403,
137 404
138 ]
139 },
140 "variableExtractionPlan": {
141 "schema": {
142 "type": "string",
143 "items": {},
144 "properties": {},
145 "description": "string",
146 "pattern": "string",
147 "format": "date-time",
148 "required": [
149 "string"
150 ],
151 "enum": [
152 "string"
153 ],
154 "title": "string"
155 },
156 "aliases": [
157 {
158 "key": "string",
159 "value": "string"
160 }
161 ]
162 },
163 "rejectionPlan": {
164 "conditions": [
165 {
166 "type": "regex",
167 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
168 }
169 ]
170 }
171 }
172 ],
173 "toolIds": [
174 "string"
175 ],
176 "knowledgeBase": {
177 "provider": "custom-knowledge-base",
178 "server": {
179 "timeoutSeconds": 20,
180 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
181 "staticIpAddressesEnabled": false,
182 "encryptedPaths": [
183 "string"
184 ],
185 "url": "string",
186 "headers": {},
187 "backoffPlan": {
188 "type": "fixed",
189 "maxRetries": 0,
190 "baseDelaySeconds": 1,
191 "excludedStatusCodes": [
192 400,
193 401,
194 403,
195 404
196 ]
197 }
198 }
199 },
200 "model": "claude-3-opus-20240229",
201 "provider": "anthropic",
202 "thinking": {
203 "type": "enabled",
204 "budgetTokens": 50500
205 },
206 "temperature": 1.1,
207 "maxTokens": 5030,
208 "emotionRecognitionEnabled": true,
209 "numFastTurns": 1.1
210 },
211 "voice": {
212 "cachingEnabled": true,
213 "provider": "azure",
214 "voiceId": "andrew",
215 "chunkPlan": {
216 "enabled": true,
217 "minCharacters": 30,
218 "punctuationBoundaries": "。",
219 "formatPlan": {
220 "enabled": true,
221 "numberToDigitsCutoff": 2025,
222 "replacements": [
223 {
224 "type": "exact",
225 "replaceAllEnabled": false,
226 "key": "string",
227 "value": "string"
228 }
229 ],
230 "formattersEnabled": "markdown"
231 }
232 },
233 "speed": 1.1,
234 "fallbackPlan": {
235 "voices": [
236 {
237 "cachingEnabled": true,
238 "provider": "azure",
239 "voiceId": "andrew",
240 "speed": 1.1,
241 "chunkPlan": {
242 "enabled": true,
243 "minCharacters": 30,
244 "punctuationBoundaries": "。",
245 "formatPlan": {
246 "enabled": true,
247 "numberToDigitsCutoff": 2025,
248 "replacements": [
249 {
250 "type": {},
251 "replaceAllEnabled": {},
252 "key": {},
253 "value": {}
254 }
255 ],
256 "formattersEnabled": "markdown"
257 }
258 },
259 "oneOf": null
260 }
261 ]
262 }
263 },
264 "firstMessage": "Hello! How can I help you today?",
265 "firstMessageInterruptionsEnabled": false,
266 "firstMessageMode": "assistant-speaks-first",
267 "voicemailDetection": "off",
268 "clientMessages": "conversation-update",
269 "serverMessages": "assistant.started",
270 "maxDurationSeconds": 600,
271 "backgroundSound": "off",
272 "modelOutputInMessagesEnabled": false,
273 "transportConfigurations": [
274 {
275 "provider": "twilio",
276 "timeout": 60,
277 "record": false,
278 "recordingChannels": "mono"
279 }
280 ],
281 "observabilityPlan": {
282 "provider": "langfuse",
283 "tags": [
284 "string"
285 ],
286 "promptName": "string",
287 "promptVersion": 1.1,
288 "traceName": "string",
289 "metadata": {}
290 },
291 "credentials": [
292 {
293 "provider": "anthropic",
294 "apiKey": "string",
295 "name": "string"
296 }
297 ],
298 "hooks": [
299 {
300 "on": "call.ending",
301 "do": [
302 {
303 "type": "tool",
304 "tool": {
305 "messages": [
306 {
307 "contents": [
308 {
309 "type": "text",
310 "text": "string",
311 "language": "aa"
312 }
313 ],
314 "type": "request-start",
315 "blocking": false,
316 "content": "string",
317 "conditions": [
318 {
319 "operator": "eq",
320 "param": "string",
321 "value": "string"
322 }
323 ]
324 }
325 ],
326 "type": "apiRequest",
327 "method": "POST",
328 "timeoutSeconds": 20,
329 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
330 "encryptedPaths": [
331 "string"
332 ],
333 "parameters": [
334 {
335 "key": "string",
336 "value": {}
337 }
338 ],
339 "name": "string",
340 "description": "string",
341 "url": "string",
342 "body": {
343 "type": "string",
344 "items": {},
345 "properties": {},
346 "description": "string",
347 "pattern": "string",
348 "format": "date-time",
349 "required": [
350 "string"
351 ],
352 "enum": [
353 "string"
354 ],
355 "title": "string"
356 },
357 "headers": {
358 "type": "string",
359 "items": {},
360 "properties": {},
361 "description": "string",
362 "pattern": "string",
363 "format": "date-time",
364 "required": [
365 "string"
366 ],
367 "enum": [
368 "string"
369 ],
370 "title": "string"
371 },
372 "backoffPlan": {
373 "type": "fixed",
374 "maxRetries": 0,
375 "baseDelaySeconds": 1,
376 "excludedStatusCodes": [
377 400,
378 401,
379 403,
380 404
381 ]
382 },
383 "variableExtractionPlan": {
384 "schema": {
385 "type": "string",
386 "items": {},
387 "properties": {},
388 "description": "string",
389 "pattern": "string",
390 "format": "date-time",
391 "required": [
392 "string"
393 ],
394 "enum": [
395 "string"
396 ],
397 "title": "string"
398 },
399 "aliases": [
400 {
401 "key": "string",
402 "value": "string"
403 }
404 ]
405 },
406 "rejectionPlan": {
407 "conditions": [
408 {
409 "type": "regex",
410 "regex": "\\\\b(cancel|stop|wait)\\\\b - Matches whole words"
411 }
412 ]
413 }
414 },
415 "toolId": "string"
416 }
417 ],
418 "filters": [
419 {
420 "type": "oneOf",
421 "key": "string",
422 "oneOf": [
423 "string"
424 ]
425 }
426 ]
427 }
428 ],
429 "name": "string",
430 "voicemailMessage": "string",
431 "endCallMessage": "string",
432 "endCallPhrases": [
433 "string"
434 ],
435 "compliancePlan": {
436 "hipaaEnabled": true,
437 "pciEnabled": {
438 "pciEnabled": false
439 },
440 "securityFilterPlan": {
441 "enabled": false,
442 "filters": [
443 {}
444 ],
445 "mode": "sanitize",
446 "replacementText": "[FILTERED]"
447 },
448 "recordingConsentPlan": {
449 "type": "stay-on-line",
450 "message": "For quality purposes, this call may be recorded. Please stay on the line if you agree or end the call if you do not consent.",
451 "voice": {
452 "cachingEnabled": true,
453 "provider": "azure",
454 "voiceId": "andrew",
455 "chunkPlan": {
456 "enabled": true,
457 "minCharacters": 30,
458 "punctuationBoundaries": "。",
459 "formatPlan": {
460 "enabled": true,
461 "numberToDigitsCutoff": 2025,
462 "replacements": [
463 {
464 "type": "exact",
465 "replaceAllEnabled": false,
466 "key": "string",
467 "value": "string"
468 }
469 ],
470 "formattersEnabled": "markdown"
471 }
472 },
473 "speed": 1.1,
474 "fallbackPlan": {
475 "voices": [
476 {
477 "cachingEnabled": true,
478 "provider": "azure",
479 "voiceId": "andrew",
480 "speed": 1.1,
481 "chunkPlan": {
482 "enabled": true,
483 "minCharacters": 30,
484 "punctuationBoundaries": "。",
485 "formatPlan": {}
486 },
487 "oneOf": null
488 }
489 ]
490 }
491 },
492 "waitSeconds": 3
493 }
494 },
495 "metadata": {},
496 "backgroundSpeechDenoisingPlan": {
497 "smartDenoisingPlan": {
498 "enabled": true
499 },
500 "fourierDenoisingPlan": {
501 "enabled": false,
502 "mediaDetectionEnabled": true,
503 "staticThreshold": -35,
504 "baselineOffsetDb": -15,
505 "windowSizeMs": 3000,
506 "baselinePercentile": 85
507 }
508 },
509 "analysisPlan": {
510 "summaryPlan": {
511 "messages": [
512 {}
513 ],
514 "enabled": true,
515 "timeoutSeconds": 1.1
516 },
517 "structuredDataPlan": {
518 "messages": [
519 {}
520 ],
521 "enabled": true,
522 "schema": {
523 "type": "string",
524 "items": {},
525 "properties": {},
526 "description": "string",
527 "pattern": "string",
528 "format": "date-time",
529 "required": [
530 "string"
531 ],
532 "enum": [
533 "string"
534 ],
535 "title": "string"
536 },
537 "timeoutSeconds": 1.1
538 },
539 "successEvaluationPlan": {
540 "rubric": "NumericScale",
541 "messages": [
542 {}
543 ],
544 "enabled": true,
545 "timeoutSeconds": 1.1
546 },
547 "minMessagesThreshold": 1.1,
548 "structuredDataMultiPlan": [
549 {
550 "key": "string",
551 "plan": {
552 "messages": [
553 {}
554 ],
555 "enabled": true,
556 "schema": {
557 "type": "string",
558 "items": {},
559 "properties": {},
560 "description": "string",
561 "pattern": "string",
562 "format": "date-time",
563 "required": [
564 "string"
565 ],
566 "enum": [
567 "string"
568 ],
569 "title": "string"
570 },
571 "timeoutSeconds": 1.1
572 }
573 }
574 ],
575 "outcomeIds": [
576 "string"
577 ]
578 },
579 "artifactPlan": {
580 "recordingEnabled": true,
581 "recordingFormat": "wav;l16",
582 "recordingUseCustomStorageEnabled": true,
583 "videoRecordingEnabled": false,
584 "fullMessageHistoryEnabled": false,
585 "pcapEnabled": true,
586 "pcapS3PathPrefix": "/pcaps",
587 "pcapUseCustomStorageEnabled": true,
588 "loggingEnabled": true,
589 "loggingUseCustomStorageEnabled": true,
590 "transcriptPlan": {
591 "enabled": true,
592 "assistantName": "string",
593 "userName": "string"
594 },
595 "recordingPath": "string",
596 "structuredOutputIds": [
597 "string"
598 ],
599 "structuredOutputs": [
600 {
601 "name": "string",
602 "schema": {
603 "type": "string",
604 "items": {},
605 "properties": {},
606 "description": "string",
607 "pattern": "string",
608 "format": "date-time",
609 "required": [
610 "string"
611 ],
612 "enum": [
613 "string"
614 ],
615 "title": "string"
616 },
617 "type": "ai",
618 "regex": "string",
619 "model": {
620 "provider": "openai",
621 "model": "gpt-5.4",
622 "temperature": 1.1,
623 "maxTokens": 5030
624 },
625 "compliancePlan": {
626 "forceStoreOnHipaaEnabled": false
627 },
628 "description": "string",
629 "assistantIds": [
630 "string"
631 ],
632 "workflowIds": [
633 "string"
634 ]
635 }
636 ],
637 "scorecardIds": [
638 "string"
639 ],
640 "scorecards": [
641 {
642 "metrics": [
643 {
644 "structuredOutputId": "string",
645 "conditions": [
646 {}
647 ]
648 }
649 ],
650 "name": "string",
651 "description": "string",
652 "assistantIds": [
653 "string"
654 ]
655 }
656 ],
657 "loggingPath": "string"
658 },
659 "startSpeakingPlan": {
660 "waitSeconds": 0.4,
661 "smartEndpointingPlan": {
662 "provider": "vapi"
663 },
664 "customEndpointingRules": [
665 {
666 "type": "assistant",
667 "regex": "string",
668 "regexOptions": [
669 {
670 "type": "ignore-case",
671 "enabled": true
672 }
673 ],
674 "timeoutSeconds": 1.1
675 }
676 ],
677 "transcriptionEndpointingPlan": {
678 "onPunctuationSeconds": 0.1,
679 "onNoPunctuationSeconds": 1.5,
680 "onNumberSeconds": 0.5
681 },
682 "smartEndpointingEnabled": false
683 },
684 "stopSpeakingPlan": {
685 "numWords": 0,
686 "voiceSeconds": 0.2,
687 "backoffSeconds": 1,
688 "acknowledgementPhrases": [
689 "i understand",
690 "i see",
691 "i got it",
692 "i hear you",
693 "im listening",
694 "im with you",
695 "right",
696 "okay",
697 "ok",
698 "sure",
699 "alright",
700 "got it",
701 "understood",
702 "yeah",
703 "yes",
704 "uh-huh",
705 "mm-hmm",
706 "gotcha",
707 "mhmm",
708 "ah",
709 "yeah okay",
710 "yeah sure"
711 ],
712 "interruptionPhrases": [
713 "stop",
714 "shut",
715 "up",
716 "enough",
717 "quiet",
718 "silence",
719 "but",
720 "dont",
721 "not",
722 "no",
723 "hold",
724 "wait",
725 "cut",
726 "pause",
727 "nope",
728 "nah",
729 "nevermind",
730 "never",
731 "bad",
732 "actually"
733 ]
734 },
735 "monitorPlan": {
736 "listenEnabled": false,
737 "listenAuthenticationEnabled": false,
738 "controlEnabled": false,
739 "controlAuthenticationEnabled": false,
740 "monitorIds": [
741 "123e4567-e89b-12d3-a456-426614174000"
742 ]
743 },
744 "credentialIds": [
745 "string"
746 ],
747 "server": {
748 "timeoutSeconds": 20,
749 "credentialId": "550e8400-e29b-41d4-a716-446655440000",
750 "staticIpAddressesEnabled": false,
751 "encryptedPaths": [
752 "string"
753 ],
754 "url": "string",
755 "headers": {},
756 "backoffPlan": {
757 "type": "fixed",
758 "maxRetries": 0,
759 "baseDelaySeconds": 1,
760 "excludedStatusCodes": [
761 400,
762 401,
763 403,
764 404
765 ]
766 }
767 },
768 "keypadInputPlan": {
769 "enabled": true,
770 "timeoutSeconds": 1.1,
771 "delimiters": "#"
772 }
773 }
774]
Was this page helpful?

Create Assistant

Next
Built with

Authentication

AuthorizationBearer

Retrieve your API Key from Dashboard.

Query parameters

limitdoubleOptional0-1000
This is the maximum number of items to return. Defaults to 100.
createdAtGtdatetimeOptional
This will return items where the createdAt is greater than the specified value.
createdAtLtdatetimeOptional
This will return items where the createdAt is less than the specified value.
createdAtGedatetimeOptional
This will return items where the createdAt is greater than or equal to the specified value.
createdAtLedatetimeOptional
This will return items where the createdAt is less than or equal to the specified value.
updatedAtGtdatetimeOptional
This will return items where the updatedAt is greater than the specified value.
updatedAtLtdatetimeOptional
This will return items where the updatedAt is less than the specified value.
updatedAtGedatetimeOptional
This will return items where the updatedAt is greater than or equal to the specified value.
updatedAtLedatetimeOptional
This will return items where the updatedAt is less than or equal to the specified value.

Response

idstring
This is the unique identifier for the assistant.
orgIdstring
This is the unique identifier for the org that this assistant belongs to.
createdAtdatetime

This is the ISO 8601 date-time string of when the assistant was created.

updatedAtdatetime

This is the ISO 8601 date-time string of when the assistant was last updated.

transcriberobject
These are the options for the assistant's transcriber.
modelobject
These are the options for the assistant's LLM.
voiceobject
These are the options for the assistant's voice.
firstMessagestring

This is the first message that the assistant will say. This can also be a URL to a containerized audio file (mp3, wav, etc.).

If unspecified, assistant will wait for user to speak and use the model to respond once they speak.

firstMessageInterruptionsEnabledbooleanDefaults to false
firstMessageModeenum

This is the mode for the first message. Default is ‘assistant-speaks-first’.

Use:

  • ‘assistant-speaks-first’ to have the assistant speak first.
  • ‘assistant-waits-for-user’ to have the assistant wait for the user to speak first.
  • ‘assistant-speaks-first-with-model-generated-message’ to have the assistant speak first with a message generated by the model based on the conversation state. (assistant.model.messages at call start, call.messages at squad transfer points).

@default ‘assistant-speaks-first’

Allowed values:
voicemailDetectionenum or object

These are the settings to configure or disable voicemail detection. Alternatively, voicemail detection can be configured using the model.tools=[VoicemailTool]. By default, voicemail detection is disabled.

clientMessagesenum

These are the messages that will be sent to your Client SDKs. Default is conversation-update,function-call,hang,model-output,speech-update,status-update,transfer-update,transcript,tool-calls,user-interrupted,voice-input,workflow.node.started,assistant.started. You can check the shape of the messages in ClientMessage schema.

serverMessagesenum

These are the messages that will be sent to your Server URL. Default is conversation-update,end-of-call-report,function-call,hang,speech-update,status-update,tool-calls,transfer-destination-request,handoff-destination-request,user-interrupted,assistant.started. You can check the shape of the messages in ServerMessage schema.

maxDurationSecondsdouble10-43200

This is the maximum number of seconds that the call will last. When the call reaches this duration, it will be ended.

@default 600 (10 minutes)

backgroundSoundenum or string
This is the background sound in the call. Default for phone calls is 'office' and default for web calls is 'off'. You can also provide a custom sound by providing a URL to an audio file.
modelOutputInMessagesEnabledboolean

This determines whether the model’s output is used in conversation history rather than the transcription of assistant’s speech.

@default false

transportConfigurationslist of objects
These are the configurations to be passed to the transport providers of assistant's calls, like Twilio. You can store multiple configurations for different transport providers. For a call, only the configuration matching the call transport provider is used.
observabilityPlanobject
This is the plan for observability of assistant's calls. Currently, only Langfuse is supported.
credentialslist of objects
These are dynamic credentials that will be used for the assistant calls. By default, all the credentials are available for use in the call but you can supplement an additional credentials using this. Dynamic credentials override existing credentials.
hookslist of objects
This is a set of actions that will be performed on certain events.
namestring<=40 characters
This is the name of the assistant. This is required when you want to transfer between assistants in a call.
voicemailMessagestring<=1000 characters
This is the message that the assistant will say if the call is forwarded to voicemail. If unspecified, it will hang up.
endCallMessagestring<=1000 characters
This is the message that the assistant will say if it ends the call. If unspecified, it will hang up without saying anything.
endCallPhraseslist of strings
This list contains phrases that, if spoken by the assistant, will trigger the call to be hung up. Case insensitive.
compliancePlanobject
metadataobject
This is for metadata you want to store on the assistant.
backgroundSpeechDenoisingPlanobject

This enables filtering of noise and background speech while the user is talking.

Features:

  • Smart denoising using Krisp
  • Fourier denoising

Smart denoising can be combined with or used independently of Fourier denoising.

Order of precedence:

  • Smart denoising
  • Fourier denoising
analysisPlanobject

This is the plan for analysis of assistant’s calls. Stored in call.analysis.

artifactPlanobject

This is the plan for artifacts generated during assistant’s calls. Stored in call.artifact.

startSpeakingPlanobject

This is the plan for when the assistant should start talking.

You should configure this if you’re running into these issues:

  • The assistant is too slow to start talking after the customer is done speaking.
  • The assistant is too fast to start talking after the customer is done speaking.
  • The assistant is so fast that it’s actually interrupting the customer.
stopSpeakingPlanobject

This is the plan for when assistant should stop talking on customer interruption.

You should configure this if you’re running into these issues:

  • The assistant is too slow to recognize customer’s interruption.
  • The assistant is too fast to recognize customer’s interruption.
  • The assistant is getting interrupted by phrases that are just acknowledgments.
  • The assistant is getting interrupted by background noises.
  • The assistant is not properly stopping — it starts talking right after getting interrupted.
monitorPlanobject

This is the plan for real-time monitoring of the assistant’s calls.

Usage:

  • To enable live listening of the assistant’s calls, set monitorPlan.listenEnabled to true.
  • To enable live control of the assistant’s calls, set monitorPlan.controlEnabled to true.
  • To attach monitors to the assistant, set monitorPlan.monitorIds to the set of monitor ids.
credentialIdslist of strings
These are the credentials that will be used for the assistant calls. By default, all the credentials are available for use in the call but you can provide a subset using this.
serverobject

This is where Vapi will send webhooks. You can find all webhooks available along with their shape in ServerMessage schema.

The order of precedence is:

  1. assistant.server.url
  2. phoneNumber.serverUrl
  3. org.serverUrl
keypadInputPlanobject